#define NOFOOTER

#ifdef BURUNDUK
#  include "my_testlib.h"
#else
#  include "testlib.h"
#endif

#include <string>
#include <vector>

using namespace std;

#define forn(i, n) for (int i = 0; i < (int)(n); i++)

string myPart( string s )
{
  static const int LEN = 30;
  if ((int)s.length() <= LEN + 10)
    return s;
  return s.substr(0, LEN) + " ...cutted";
}

int main(int argc, char *argv[])
{
  registerTestlibCmd(argc, argv);

  int pos = 0;
  string res;
  while (!ans.seekEof())
  {
    char a = ouf.readChar();
    char b = ans.readChar();
    pos++;
    if (a != b)
      quitf(_wa, "pos = %d : %c != %c", pos, a, b);
    res += a;
  }
  if (pos == 0)
    quitf(_ok, "file is empty");

  quitf(_ok, "OK (n = %d, v = %s)", pos, myPart(res).c_str());
  return 0;
}
